Skip to main content

Get document AI results from LLM prompt

GET 

/documents/:documentId/ai/prompts/:llmPromptEntityName

Retrieve document AI results from an LLM prompt; available as an Add-On Module

Request

Path Parameters

    documentId stringrequired

    Document Identifier

    llmPromptEntityName stringrequired

    LlmPrompt Entity Name

Query Parameters

    siteId string

    Site Identifier

    artifactId string

    Artifact Document Identifier

    analysisCategory string

    Analysis Category

    limit string

    Limit Results

    Default value: 10
    next string

    Next page of results token

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    next string

    Next page of results token

    aiPromptResults

    object[]

    List of document AI prompt result records

  • Array [

  • analysisCategory string

    Analysis Category

    insertedDate string

    Inserted Timestamp

    content string

    Result content

    userId string

    UserId that created Result

    values

    object[]

    Document AI prompt values

  • Array [

  • resultType DocumentAiPromptResultType (string)required

    Document AI prompt result type

    Possible values: [KEY_VALUE, ENTITY]

    entityType string

    Entity type when resultType is ENTITY

    entityNamespace EntityTypeNamespace (string)

    Entity Type namespace

    Possible values: [PRESET, CUSTOM]

    attributes

    object[]

    required

    Attributes extracted from result content

  • Array [

  • key stringrequired

    Document AI prompt result attribute key

    stringValues string[]required

    Document AI prompt result attribute string values

  • ]

  • ]

  • ]

Loading...